/*
 * Copyright 2012 Digi International, Inc.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package com.idigi.api.monitor.netty;

import java.security.cert.CertificateException;
import java.security.cert.X509Certificate;

import javax.net.ssl.SSLContext;
import javax.net.ssl.TrustManager;
import javax.net.ssl.X509TrustManager;

public class PermissiveSSLClientContext {

  private static final SSLContext CLIENT_CONTEXT;

  static {

    final TrustManager naiveTrustManager = new X509TrustManager() {
      public X509Certificate[] getAcceptedIssuers() {
        return new X509Certificate[0];
      }

      public void checkClientTrusted(X509Certificate[] chain, String authType)
          throws CertificateException {
      }

      public void checkServerTrusted(X509Certificate[] chain, String authType)
          throws CertificateException {
      }
    };
    SSLContext clientContext = null;
    try {
      clientContext = SSLContext.getInstance("TLS");
      clientContext.init(null, new TrustManager[] { naiveTrustManager }, null);
    } catch (Exception e) {
    }
    CLIENT_CONTEXT = clientContext;
  }

  public static SSLContext getInstance() {
    return CLIENT_CONTEXT;
  }

}
